# SoC Course with Reference Designs

Introductory SoC course with reference designs based on the [Xilinx Vitis Unified Software Development Platform](https://www.xilinx.com/products/design-tools/vitis/vitis-platform.html) and targeted to the [Xilinx Zynq UltraScale+ MPSoC](https://www.xilinx.com/products/silicon-devices/soc/zynq-ultrascale-mpsoc.html).

This course applies the **learn by example** approach, introducing in each section the
required **theoretical concepts** and then achieving a deeper understanding on the presented topics
by performing **practical exercises** using the most important **design tools and techniques**.

Upon completion of the course, several **software and hardware reference designs** are created by
following **step-by-step** detailed procedures including **screenshots, commands and code snippets**. 

[Visit the project wiki to access the course contents](https://ohwr.org/project/soc-course/wikis/home).

![Complete Set-Up](https://ohwr.org/project/soc-course/wikis/uploads/120f8c5bf72cc4ca1eb6cf8bae5575f3/ultra96v2_unboxing_11.jpg)
